Bug 1067268 (CVE-2014-0086) - CVE-2014-0086 JBoss RichFaces: remote denial of service via memory exhaustion
Summary: CVE-2014-0086 JBoss RichFaces: remote denial of service via memory exhaustion
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0086
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1071050 1081272
Blocks: 1065496 1067269 1082921 1082938
TreeView+ depends on / blocked
 
Reported: 2014-02-20 04:17 UTC by David Jorm
Modified: 2019-09-29 13:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that certain malformed requests caused RichFaces to leak memory. A remote, unauthenticated attacker could use this flaw to send a large number of malformed requests to a RichFaces application that uses the Atmosphere framework, leading to a denial of service (excessive memory consumption) on the application server.
Clone Of:
Environment:
Last Closed: 2016-01-21 20:29:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0335 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Framework Kit 2.5.0 update 2014-03-26 20:35:43 UTC
Red Hat Product Errata RHSA-2015:1009 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 update 2015-05-14 19:14:47 UTC

Description David Jorm 2014-02-20 04:17:07 UTC
It was found that certain malformed requests caused RichFaces to leak memory. A remote, unauthenticated attacker could use this flaw to send a large number of malformed requests to a RichFaces application that uses the Atmosphere framework, leading to a denial of service (excessive memory consumption) on the application server.

Comment 1 David Jorm 2014-02-20 04:18:33 UTC
Upstream bug:

https://issues.jboss.org/browse/RF-13250

Comment 5 errata-xmlrpc 2014-03-26 16:36:02 UTC
This issue has been addressed in following products:

  Red Hat JBoss Web Framework Kit 2.5.0

Via RHSA-2014:0335 https://rhn.redhat.com/errata/RHSA-2014-0335.html

Comment 10 errata-xmlrpc 2015-05-14 15:16:20 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html


Note You need to log in before you can comment on or make changes to this bug.